Package org.apache.wiki.tags

## Class ParamTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.wiki.tags.ParamTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

    public class ParamTag
    extends javax.servlet.jsp.tagext.BodyTagSupport

ParamTag submits name-value pairs to the first enclosing ParamHandler instance. Name and value are strings, and can be given as tag attributes, or alternatively the value can be given as the body contents of this tag.

The name-value pair is passed to the closest containing ancestor tag that implements ParamHandler.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`ParamTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doEndTag()`
`void` `release()`
`void` `setName​(java.lang.String s)` Set the name of the parameter to transfer.
`void` `setValue​(java.lang.String s)` Set the value of the parameter to transfer.

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

### Constructor Detail

#### ParamTag

    public ParamTag()

### Method Detail

#### release

    public void release()

Specified by:
  `release` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

#### setName

    public void setName​(java.lang.String s)

Set the name of the parameter to transfer.

Parameters:
  `s` - The name.

#### setValue

    public void setValue​(java.lang.String s)

Set the value of the parameter to transfer.

Parameters:
  `s` - The value.

#### doEndTag

    public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`